function p.get_is_solid() return true end
function p.get_tex() return "block_chem" end

function p.main()
    set_default_block("r_chem")
    
    create_rect("e", 1,1,1, 14,14,14)
    --Door.
    create_rect("s", 5,0,5, 9,0,9)
    create_rect("e", 6,0,6, 8,0,8)
    --Door.
    create_rect("s", 5,15,5, 9,15,9)
    create_rect("e", 6,15,6, 8,15,8)
    
    local msg_str = "When you press a key or click your mouse "
        .. "(an input event), this causes an \"action\" to be "
        .. "executed.\n\n"
        .. "The binding of input events to actions is initially "
        .. "specified in the file \"^x00ff00binds.txt^!\". "
        .. "Read that file now. "
    add_bent_s(7,7,9,"bent_base_txt",msg_str)

    msg_str = "Every non-comment line of the binds.txt file\n\n"
        .. "does the following: "
        .. "1) Specifies an action name.\n\n"
        .. "2) Specifies the default input event "
        .. "that binds to this action. "
        .. "Note that an input event typically "
        .. "has a primary and a secondary component.\n\n"
        .. "3) Specifies a nickname for the action.\n\n"
        .. "4) Specifies two console commands: one that is executed when "
        .. "the primary input event occurs, and the other when the "
        .. "secondary input event occurs. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    msg_str = "Thus user can control which input events bind to which actions in\n\n"
        .. "MAIN MENU -> OPTIONS -> CONTROLS. "
    add_bent_s(7,7,5,"bent_base_txt",msg_str)

    msg_str = "^xff0000All action names in binds.txt must start with \"PACKAGE_\".^! "
    add_bent_s(2,13,8,"bent_base_txt",msg_str)

    -- msg_str = "^xff0000Warning:\n\n"
    --     .. "ESC.down must bind to PACKAGE_OPEN_MAIN_MENU\n\n"
    --     .. "and\n\nGRAVE.down must bind to PACKAGE_OPEN_CONSOLE.^!"
    -- add_bent_s(2,13,6,"bent_base_txt",msg_str)
end
